ormolu-0.7.4.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer

Description

Pretty-printer for Haskell AST.

Synopsis

- printSnippets :: Bool -> [SourceSnippet] -> Text

# Documentation

printSnippets #

Arguments

:: Bool | Whether to print out debug information during printing
-> [SourceSnippet] | Result of parsing
-> Text | Resulting rendition

Render several source snippets.